Package be.fgov.ehealth.mycarenet.commons.core.v3

# Class LicenseType

java.lang.Object
be.fgov.ehealth.mycarenet.commons.core.v3.LicenseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:04+02:00", comments="JAXB RI v4.0.5") public class LicenseType extends Object implements Serializable
Information about the license of a package.

Java class for LicenseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LicenseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Username" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Password" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LicenseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPassword()`
  The password of the license.
  `String`
  `getUsername()`
  The user name of the license.
  `void`
  `setPassword(String value)`
  Sets the value of the password property.
  `void`
  `setUsername(String value)`
  Sets the value of the username property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LicenseType

    public LicenseType()

- ## Method Details

  - ### getUsername

    public String getUsername()
    The user name of the license. This is a unique identifier of the package.
    Returns:
      possible object is `String`

  - ### setUsername

    public void setUsername(String value)
    Sets the value of the username property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getUsername()`

  - ### getPassword

    public String getPassword()
    The password of the license. This is required to prove the identify of the package.
    Returns:
      possible object is `String`

  - ### setPassword

    public void setPassword(String value)
    Sets the value of the password property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPassword()`